<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Introduction</title>
</head>

<body>

<h1 align=center>Overlay Tutorial (Image-correction)</h1>

<ul>
  <li><a href="#introcution">Introduction</a></li>
  <li><a href="#terminology">Terminology</a></li>
  <li><a href="#case">Case for study</a></li>
  <li><a href="#processing">Processing</a>
    <ul>
      <li><a href="#open_image_perspective">Open image tool perspective</a></li>
      <li><a href="#load_process_image">Load image</a></li>
      <li><a href="#change_contrast">Change the contrast</a></li>
    </ul>
  </li>
  <li><a href="#overlay">Overlay</a>
    <ul>
      <li><a href="#open_overlay_perspective">Open perspective</a></li>
      <li><a href="#load_and_overlay">Load and overlay images</a></li>
    </ul>
  </li>
  <li><a href="#correction">Correction</a>
    <ul>
      <li><a href="#show_tracer">Show tracer</a></li>
      <li><a href="#choose_color">Choose correct color</a></li>
      <li><a href="#correct_image">Correct image</a></li>
      <li><a href="#save_work">Save your work</a></li>
    </ul>
  </li>
  <li><a href="#contact_me">Contact me</a></li>
</ul>

<h2><a name="introcution"></a>Introduction</h2>
<p>Overlay plug-in can be used for some special cases to correct image. For
better result, sometimes, you probably need our image tool (a micro image
processing plug-in, MIP) to process the image.&nbsp;</p>
<p>This tutorial shows step by step how to correct a image. After this tutorial,
you should be able to know:</p>
<ol>
  <li>How to overlay</li>
  <li>How to process image</li>
  <li>How to correct image by overlay</li>
</ol>
<p ><img border="0" src="tutor/note.gif" width="62" height="13">:</p>


<p>To avoid &quot;out of memory&quot; problem, better set the parameter when you
run the eclipse, i.e., let eclipse know you need more than 128M memory, since by
default, eclipse only 128M memory which is not enough for image related tools.
You can do this by setting the &quot;eclipse.exe -vmargs -Xmx256M&quot; in your
shortcut icon. Or you may set the &quot;-Xmx256M&quot; when you invoke eclipse
inside your workbench:</p>
<blockquote>
  <p><img border="0" src="tutor/OVL_memory_setting.jpg" width="668" height="586"></p>
  <p>&nbsp;</p>
</blockquote>
<h2><a name="terminology"></a>Terminology</h2>
<p>In order to simplify the tutor, let's define some terminology here:</p>
<ul>
  <li><b>Image tool (or MIP):</b> The micro image plug-in. The tool has some
    basic image processing functions such as contrast and sharp.</li>
  <li><b>Overlay tool (or OVL):</b> The overlay plug-in. Which can overlay two
    images by choosing exact pixel pairs. It can also be used for image
    correction.</li>
</ul>
<h2><a name="case"></a>Case for study</h2>
<p>In this tutorial, we have two images which shown below. These two images
comes from eBoethius project, and they may come from different source. We have noticed that some part of
179 recto image in fact comes from 178 verso image (this may be caused by
water).</p>
<blockquote>
<p><img border="0" src="tutor/two-images.jpg" width="827" height="611"></p>
</blockquote>
<p>What we want to do is to make sure if our observation is right and we also want to correct the
179 recto image, so that it won't contain the part form 178 verso.</p>
<p>In the following sections, we will show this step by step.</p>
<h2><a name="processing"></a>Processing</h2>
<p>You may skip this step, if you do no want to process the image. Some time,
processing can get a better result. For our overlay tool, we provide a special
feature (see the &quot;ignore back ground mode&quot; of overlay for detail)
which can be used to get a better effect, to use this feature, you must process
the image first.</p>
<p>We will process the image 178 verso to improve the contrast of the image.</p>
<h3><a name="open_image_perspective"></a>Open image tool perspective</h3>
<p>To open image tool, you need open the &quot;MIP: Micro Image Plugin&quot;
perspective.</p>
<blockquote>
  <p><img border="0" src="tutor/open_mip_perspective.jpg" width="413" height="290"></p>
</blockquote>
<p>Following is what you get after you load the MIP perspective:</p>
<blockquote>
<p><img border="0" src="tutor/MIP_perspective.jpg" width="662" height="493"></p>
</blockquote>
<h3>&nbsp;</h3>
<h3><a name="load_process_image"></a>Load image</h3>
<p>You can use the <img border="0" src="tutor/open_button.jpg" width="21" height="21">
or &quot;Ctrl+O&quot; to open a new image. We load the 178 verso image into MIP
view.</p>
<blockquote>
<p><img border="0" src="tutor/MIP_loaded_image.jpg" width="607" height="489"></p>
</blockquote>
<h3><a name="change_contrast"></a>Change the contrast</h3>
<p>We can change the contrast by using the contrast dialog. To do that we first
activate the dialog by click the menu:</p>
<blockquote>
<p><img border="0" src="tutor/MIP_menu.jpg" width="175" height="101"></p>
</blockquote>
<p>then we get the contrast dialog:</p>
<blockquote>
<p><img border="0" src="tutor/MIP_contrast_dlg.jpg" width="297" height="198"></p>
</blockquote>
<p>By sliding the contrast and brightness bar, you can change the contrast of
current image, the final images we get from 178 verso is:</p>
<blockquote>
  <p><img border="0" src="tutor/MIP_processed_image.jpg" width="606" height="489"></p>
</blockquote>
<p>You can save this processed image to another image file. But now, we want to
import this image in overlay tool, so we just leave it alone, and switch to the
overlay tool.</p>
<p>To switch to overlay tool, you can use the shortcut from perspective dock if
you have already open the overlay tool:</p>
<blockquote>
  <p><img border="0" src="tutor/Eclipse_perspective_shortcut.jpg" width="109" height="171"></p>
</blockquote>
<p>The <img border="0" src="tutor/OVL.gif" width="16" height="16"> is shortcut
for image tool perspective (&quot;DucType Perspective&quot;), and the <img border="0" src="tutor/MIP.gif" width="16" height="16">is
shortcut for MIP image processing tool perspective. You can freely switch
between these perspective by clicking these two buttons.</p>
<h2><a name="overlay"></a>Overlay</h2>
<p>In this section, we first show how to load images into overlay tool, and how
to overlay, then we will show how to correct image by using tracer.</p>
<h3><a name="open_overlay_perspective"></a>Open overlay perspective</h3>
<p>To open overlay tool (if you can not find it on &quot;the perspective
shortcut dock&quot; as mentioned above), use the &quot;DucType perspective&quot;. You can find
the &quot;DucType Perspective&quot; at the &quot;window&quot; menu of Eclipse:</p>
<blockquote>
  <p>&nbsp;&nbsp; <img border="0" src="tutor/OVL_perspective.jpg" width="414" height="289"></p>
</blockquote>
<p>It may either appears directly under &quot;Open Perspective&quot; menu (in
case you are not the first time running it) or under the &quot;Other&quot; (in
case you are the first time running this tool. You need to choose the &quot;DucType
perspective&quot; in a list of perspective).</p>
<p>Then you will get the overlay view by maximizing the overlay view:</p>
<blockquote>
<p><img border="0" src="tutor/OVL_view.jpg" width="809" height="494"></p>
</blockquote>
<h3><a name="load_and_overlay"></a>Load and overlay images</h3>
<p>We will load the 179 recto and the processed 178 verso image into overlay
tool and overlay them.</p>
<blockquote>
<p >1. First click the file open button <img border="0" src="tutor/open_button.jpg" width="21" height="21">
on the leftmost of toolbar, and open the 179v recto image.</p>


<p >2. Then we choose the &quot;Import form MIP&quot; menu to import the
processed image from MIP tool:</p>


  <blockquote>
<p ><img border="0" src="tutor/OVL_import_MIP_menu.jpg" width="170" height="94"></p>


  </blockquote>
</blockquote>


<p ><img border="0" src="tutor/note.gif" width="62" height="13">:</p>


<blockquote>
<p >A. We can only import the image from MIP to the right image panel.</p>


    <p >B. We only&nbsp; process the image on the left image panel, so we must
    put the 179 recto to the left image panel.</p>


</blockquote>


<p >After you load the image, it may look like this (you may use the flip button
<img border="0" src="tutor/flip_button.jpg" width="46" height="20"> to flip the
images):</p>


<blockquote>


<p ><img border="0" src="tutor/OVL_image_loaded.jpg" width="609" height="442"></p>


</blockquote>
<p >Next, we choose the overlay option by clicking the &quot;Option&quot; menu:</p>


<blockquote>
  <p ><img border="0" src="tutor/OVL_option_menu.jpg" width="175" height="95"></p>


</blockquote>
<p >There are two options for the overlay:</p>


<blockquote>
  <ul>
    <li>Norman overlay mode: just overlay, no special process.</li>
    <li>Ignore white background mode: overlay, also: for white color pixel, it
      will ignore.</li>
  </ul>
</blockquote>


<p >&nbsp;The default is the first one, here we change to the second one since
this will have special effect in our case:</p>


<blockquote>


<p ><img border="0" src="tutor/OVL_option_dialog.jpg" width="299" height="193"></p>


</blockquote>


<p >Next step is to overlay images.</p>


<p >First select the &quot;select pin points&quot; button <img border="0" src="tutor/select_button.jpg" width="21" height="20">
for toolbar, and select two pairs of points which will be used to overlay (The
points you select will match each other after overlaying):&nbsp;</p>


<blockquote>


<p ><img border="0" src="tutor/OVL_select_pins.jpg" width="971" height="572"></p>


</blockquote>


<p >Now overlay the images using &quot;overlay button&quot; <img border="0" src="tutor/overlay_button.jpg" width="18" height="20">
on the toolbar, you will get the overlayed image as following:</p>


<blockquote>


<p ><img border="0" src="tutor/OVL_overlayed_image.jpg" width="733" height="607"></p>


</blockquote>


<p >You can using the transparency bar at the bottom of the window to switch
between the front layer and the back layer.</p>


<h2 ><a name="correction"></a>Correction</h2>


<h3><a name="show_tracer"></a>Show Tracer</h3>
<p >After overlaying image, you may want to see the corresponding pixel on the
overlay image and the original image 179 recto. You should follow the following
steps:
</p>


<ul>
  <li>select the &quot;pencil tool&quot; <img border="0" src="tutor/pencile_button.jpg" width="25" height="21">
in the tool button.&nbsp;</li>
  <li>right click the mouse button inside the left image panel and choose
    &quot;Show tracer&quot;: (The show tracer menu only appears after overlay
    and choose &quot;pencil tool&quot;.)</li>
</ul>
<blockquote>
  <blockquote>
    <p><img border="0" src="tutor/OVL_show_tracer_menu.jpg" width="183" height="151"></p>
  </blockquote>
</blockquote>
<p >Then you will get the tracer shown on the right image panel, and also the
image on the right panel has been changed to 179 recto, since it can give us
much more information we need:
</p>


<blockquote>
<p ><img border="0" src="tutor/OVL_image_with_tracer.jpg" width="926" height="583">
</p>


</blockquote>
<p >The pixel on the right image panel under red circle with cross is exactly in
the same position of the pixel on the left image panel under the pencil icon,
i.e., the red crossing is the tracer of the pencil.
</p>


<p >Now you can see from above that some part of 179 recto image comes from the
178 verso image.
Also, by moving the transparency bar on the bottom, you can switch between the
image 179 recto and image 178 verso, you can use this to check how exactly overlaying is. And
you may also find some other parts which you did not find before you use this
tool.
</p>


<h3><a name="choose_color"></a>Choose correct color</h3>
<p >Now you know which parts of 179 recto image comes from 178 verso image. You want to get rid
of the parts come from 178 verso image. You can use the pencil tool to do that. Pencil
tool gives you the freedom to overwrite any pixels on the 179 recto image.<p >The
default color of pencil is shown on the bottom-right corner, you can click it to
choose a color you want to use:
<blockquote>
  <p ><img border="0" src="tutor/color_panel.jpg" width="222" height="331">
</blockquote>
<p >However, the best color may be the one come from 179 recto image, i.e., the color
around the part which you want to correct may be the best color you want to use.
Overlay tool provides you an &quot;eyedrop tool&quot; <img border="0" src="tutor/eyedrop_button.jpg" width="27" height="22">
to sample the color in 179 recto image. To do that, you select the eyedrop tool in the
toolbar, then sample the right color by left-clicking the mouse button, the
sampled color will show in the bottom-right color panel:
<blockquote>
  <p ><img border="0" src="tutor/OVL_eyedrop_sample.jpg" width="661" height="614">
</blockquote>
<p >&nbsp;<h3><a name="correct_image"></a>Correct
image</h3>
<p >Okay, now, you have got the exact part you want to correct (erase), and you
also chosen the correct color, you are almost done. The final step is use the
pencil tool to draw with referring to the tracer over the parts you want to get
rid of:</p>


<ul>
  <li>choose show tracer from popup menu.</li>
  <li>press left mouse button and move over the parts you want to erase, you
    will see the erased image on the right image panel.</li>
</ul>
<blockquote>
<p ><img border="0" src="tutor/OVL_tracer_erasing.jpg" width="665" height="612"></p>


</blockquote>
<p >After you erased the blending part, you must choose the &quot;commit&quot;
in the popup menu to commit the changes, so that the change will be reflected on
the left image panel, i.e., the 179 recto image.</p>


<blockquote>
  <p ><img border="0" src="tutor/OVL_commit_menu.jpg" width="384" height="151"></p>


</blockquote>
<p ><img border="0" src="tutor/note.gif" width="62" height="13">:</p>


<ul>
  <li>You can undo last step ( definition: a step is all operation between when
    you press the mouse left button down and when you release the button) by
    press &quot;ESC&quot;.</li>
  <li>You must &quot;commit&quot; before you change to other session, otherwise,
    you will lose what you did.</li>
</ul>


<h3 ><a name="save_work"></a>Save your work</h3>


<p >Finally, you will get what you did, and you can save that image into a new
file by clicking the &quot;save button&quot;<img border="0" src="tutor/save_button.jpg" width="19" height="19">
in the toolbar:</p>


<blockquote>


<p ><img border="0" src="tutor/save_correction.jpg" width="561" height="416"></p>


</blockquote>


<p >Later you can reload the image into your workspace, and probably you want to
continue to correct 179 recto image with another image pieces of 178 verso (try the UV image).</p>


<h2 align="left"><a name="contact_me"></a>Contact me</h2>
<p align="left">If you have any question, please let me know.</p>
<p align="left">-Chengdong Li</p>
<p align="left">cli4@uky.edu <br>
&nbsp;</p>
<p align="left">&nbsp;</p>
<p align="left">&nbsp;</p>
</body>
</html>